Bug 88173 - raw1394, video1394 not loaded
raw1394, video1394 not loaded
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-04-07 07:59 EDT by Tim Waugh
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 12:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2003-04-07 07:59:07 EDT
Description of problem:
Not sure where to file this.  When an application tries to open /dev/raw1394,
the raw1394 is not loaded on demand like it should be.  modprobe -c shows that
the built-in alias is there:

alias char-major-171 raw1394

and looks correct.  But after 'modprobe raw1394', the application trying to open
/dev/raw1394 works, and dmesg shows that the raw1394 module has loaded.

Perhaps this is an initscripts problem (should the initscripts load raw1394 when
dealing with firewire?), or a modutils problem (not finding the module for some
reason?) or a kernel problem (not requesting a module load in ieee1394_core?). 
Just don't know.
Comment 1 Bill Nottingham 2003-04-07 17:18:06 EDT
Hm, I just tried it here, and it loaded raw1394 and ieee1394.
Comment 2 Tim Waugh 2003-04-07 18:15:03 EDT
On a fresh install?  I just did a kickstart install and tried it earlier today,
and it would not work.

How were you trying it?  I was using kino originally, but could reproduce the
failure with 'cat </dev/raw1394'.

Also, do you have a fireware card installed on the machine you tried it on?  I
think that might be important; perhaps ieee1394_core provides backing for that
device and forgets to load the relevant low-level driver or something.

On boot, this machine has ohci1394 and ieee1394 loaded (but not raw1394 or
Comment 3 Bill Nottingham 2003-04-08 11:16:36 EDT
A not-so-fresh-install; it's a freshen from one of the betas.

I got the modules to load just by running 'cat /dev/raw1394' (which failed with
EINVAL). This machine does *not* have a firewire card, however.
Comment 4 Tim Waugh 2003-04-08 12:22:47 EDT
I get the same on a machine without a firewire card.  But the problem persists
on a machine with fireware card installed.  I think this must be related to the
ohci1394/ieee1394 modules being already loaded.

During boot, it says about initializing the firewire card (which is when it
loads the modules, presumably).  Perhaps it should just load raw1394 and
video1394 at that stage?
Comment 5 Bill Nottingham 2005-09-30 14:50:52 EDT
Eek, this is old. My apologies. Does it still happen on FC4?
Comment 6 Tim Waugh 2005-10-07 08:20:30 EDT
I have different hardware now, so I don't know.
Comment 7 Bill Nottingham 2005-10-07 12:34:06 EDT
OK. Will assume it has fixed itself with newer release.

Note You need to log in before you can comment on or make changes to this bug.